Skip to main content
PATCH
Update customer

Authorizations

Api-Access-Key
string
header
required

An API key associated with a security role

Headers

Idempotency-Key
string
required

Client-supplied key that deduplicates retried requests. Reusing a key returns the original result instead of repeating the action.

Api-Signature
string
required

A hex-encoded Ed25519 signature of timestamp_epoch_seconds + uppercase(http_method) + request_path + request_body.

Pattern: ^[0-9A-Fa-f]{128,160}$
Api-Timestamp
integer<int64>
required

Current timestamp, represented as unix epoch seconds

Path Parameters

customerId
string<uuid>
required

Unique identifier for the customer

Example:

"3486b413-93d3-4447-afce-2b9c9dc34a32"

Body

application/json

Request to update an individual customer. All fields besides customerType are optional (PATCH semantics).

customerType
enum<string>
default:INDIVIDUAL
required

Discriminator — always INDIVIDUAL

Available options:
INDIVIDUAL
externalId
string

External identifier provided by the client

firstName
string

First name of the individual

lastName
string

Last name of the individual

dateOfBirth
string<date>

Date of birth

email
string<email>

Email address

idNumber
string

Government-issued identification number

address
Customer Address · object

A structured postal address

Response

Customer updated successfully

data
Individual Customer Details · object
required

Full details of an individual customer